﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _1065349
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        BindingList<CardViewModel> dataSource = new BindingList<CardViewModel>()
            {
                new CardViewModel("1", "Nancy Davolio","507 - 20th Ave. E.Apt. 2A", DateTime.Parse("12/8/1948")),
                new CardViewModel("2", "Andrew Fuller","908 W. Capital Way", DateTime.Parse("2/19/1952")),
                new CardViewModel("3", "Janet Leverling","722 Moss Bay Blvd.", DateTime.Parse("8/30/1963")),
                new CardViewModel("4", "Margaret Peacock","110 Old Redmond Rd.", DateTime.Parse("9/19/1937"))
            };

        public RadForm1()
        {
            InitializeComponent();
           
            this.radCardView1.DataSource = dataSource;
            this.radCardView1.CardViewElement.CardTemplate.LoadLayout(@"..\..\layout.xml");
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

         
        }
    }
    public class CardViewModel : INotifyPropertyChanged
    {
        private string id;
        private string name;
        private string address;
        private DateTime dateOfBirth;
        public event PropertyChangedEventHandler PropertyChanged;
        public CardViewModel(string id, string name, string address, DateTime dateOfBirth)
        {
            this.id = id;
            this.name = name;
            this.address = address;
            this.dateOfBirth = dateOfBirth;
        }
        public string Id
        {
            get
            {
                return this.id;
            }
            set
            {
                if (this.id != value)
                {
                    this.id = value;
                    OnPropertyChanged("ID");
                }
            }
        }
        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                if (this.name != value)
                {
                    this.name = value;
                    OnPropertyChanged("Name");
                }
            }
        }
        public string Address
        {
            get
            {
                return this.address;
            }
            set
            {
                if (this.address != value)
                {
                    this.address = value;
                    OnPropertyChanged("Address");
                }
            }
        }
        public DateTime DateOfBirth
        {
            get
            {
                return this.dateOfBirth;
            }
            set
            {
                if (this.dateOfBirth != value)
                {
                    this.dateOfBirth = value;
                    OnPropertyChanged("DateOfBirth");
                }
            }
        }
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
